/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.io.*;
import java.util.*;
import com.silverwrist.venice.core.*;

public class SideBoxConferences implements ContentRender
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private UserContext uc;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public SideBoxConferences(UserContext uc, String parameter)
  {
    this.uc = uc;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface VeniceContent
   *--------------------------------------------------------------------------------
   */

  public String getPageTitle(RenderData rdat)
  {
    if (uc.isLoggedIn())
      return "Your Conference Hotlist:";
    else
      return "Featured Conferences:";

  } // end getPageTitle

  /*--------------------------------------------------------------------------------
   * Implementations from interface ContentRender
   *--------------------------------------------------------------------------------
   */

  public void renderHere(Writer out, RenderData rdat) throws IOException
  {
    /* BEGIN TEMP */
    out.write("<FONT FACE=\"Arial, Helvetica\" SIZE=2><UL>\n");
    out.write("<LI>BOFH (Benevolent Dictators)</LI>\n");
    out.write("<LI>Playground (Electric Minds)</LI>\n");
    out.write("<LI>Commons (Electric Minds)</LI>\n");
    out.write("<LI>Top Ten Lists (Pamela's Lounge)</LI>\n");
    out.write("</UL></FONT>\n");
    /* END TEMP */

    // write the link at the end
    out.write("<P>" + rdat.getStdFontTag(null,1) + "<B>[ <A HREF=\"" + rdat.getEncodedServletPath("TODO")
	      + "\">Manage</A> ]</B></FONT>");

  } // end renderHere

} // end class SideBoxConferences
